<template>
  <v-container>

    <v-row>
      <v-col>
        <v-breadcrumbs :items="breadcrumbs" large>
        </v-breadcrumbs>
      </v-col>
    </v-row>

    <v-card class="py-5 px-5 mb-5">

      <v-row>
        <v-col cols="12">
          <v-img :src="`../src/assets/images/${discount.promo_image}`" height="600px" :alt="`${discount.promo_image}`"></v-img>
        </v-col>
        <v-col cols="12">
          <v-card class="h-100">
            <v-card-text>
              <v-card-title class="text-h5 mb-4">
                {{ discount.title }}
              </v-card-title>
              <v-divider></v-divider>
              <v-card-text class="mt-4 text-body-2 mr-5">
                <h4 class="text-h6">Информация:</h4>
                {{ discount.description }}
              </v-card-text>
            </v-card-text>

          </v-card>
        </v-col>
      </v-row>

      <v-row>
        <v-container>
          <h3 class="text-h6">
            Отзывы:
          </h3>
        </v-container>
        <v-col cols="12" v-for="review in reviews" :key="review.id">
          <v-card>
            <v-card-text>
              <v-card-title class="text-h5 mb-4">
                Пользователь {{ review.name }}
              </v-card-title>
              <v-divider></v-divider>
              <v-card-text class="mt-4 text-body-2 mr-5">
                <h4 class="text-h6">Информация:</h4>
                {{ review.text }}
              </v-card-text>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>

    </v-card>

    <AppReview />

  </v-container>
</template>

<script>
import AppReview from '@/components/AppReview.vue';

export default {
  components: {
    AppReview,
  },
  created() {
    this.$store.dispatch('getCurrentDiscount', this.$route.params.id);
    this.$store.dispatch('getCurrentDiscountReviews', this.$route.params.id);
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: 'Домашняя',
          disabled: false,
          href: '/'
        },
        {
          text: 'Акция',
          disabled: true,
          href: '/'
        }
      ],
      panel: [0],
    }
  },
  computed: {
    discount: {
      get() {
        return this.$store.getters.currentDiscount
      }
    },
    reviews: {
      get() {
        return this.$store.getters.currentDiscountReviews
      }
    },
  },
}
</script>

<style>

</style>
